/* @import url("https://fonts.googleapis.com/css2?family=Anek+Latin:wght@100..800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Philosopher:ital,wght@0,400;0,700;1,400;1,700&display=swap"); */
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Devanagari:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Tiro+Devanagari+Hindi:ital@0;1&display=swap");

* {
  /* margin: 0%;
    padding: 0%; */
  font-family: "Poppins", sans-serif;
}

ul {
  list-style: none;
}

/* navigation bar section start */

.navbar-brand img {
  /* width: 50%; */
  max-width: 250px;
  height: auto;
}

.bg-body-tertiary {
  /* --bs-bg-opacity: 1;
    background-color: rgb(255 255 255) !important; */
  z-index: 1000;
  position: relative;
}

.navbar {
  height: 90px;
  border-radius: 0px 0px 16px 16px;
  box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.15);
}

/* .container {
    padding: 0;
} */

.navbar-expand-lg .navbar-nav {
  height: fit-content;
  align-items: center;
}

/* .navbar>.container,
.navbar>.container-fluid,
.navbar>.container-lg,
.navbar>.container-md,
.navbar>.container-sm,
.navbar>.container-xl,
.navbar>.container-xxl {
    padding: 0;
} */

.navbar-toggler {
  border: none;
  padding: 0;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  /* background-color: #f8f9fa; */
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.navbar-toggler:focus {
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.75%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.nav-link {
  color: rgba(99, 34, 64, 0.6);
  text-align: center;
  font-family: "Poppins", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 30px;
  letter-spacing: -0.25px;
  position: relative;
  padding: 3px;
}

.nav-active::before {
  color: #632240;
  width: fit-content;
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  left: 0;
  bottom: 0px;
  display: block;
  background-color: #f73;
  opacity: 1;
}

.nav-item {
  padding: 0 7px;
}

.nav-link::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  left: 0;
  bottom: 0px;
  display: block;
  background-color: #f73;
  opacity: 1;
  transform: scale(0, 1);
  transition: transform 0.3s ease;
}

/* 
.nav-link::after {
    
} */

.nav-link:hover::after {
  transform: scale(1, 1);
}

button {
  padding: 12px;
}

.home-login-btn {
  color: #f73;
  text-align: center;
  font-family: "Poppins", sans-serif;
  font-size: 18px;
  font-weight: 500;
  line-height: 30px;
  /* 150% */
  letter-spacing: -0.25px;
  display: inline-flex !important;
  padding: 5px 10px;
  justify-content: center;
  align-items: center;
  gap: 10px;
  border-radius: 8px;
  border: 2px solid #ff8f57;
  background: #fff0e8;
  /* margin: 0px 10px 0px 50px; */
  text-decoration: none;
}

a.nav-link.dropdown-toggle {
  color: #f73;
  opacity: 0.9;
  text-align: center;
  font-family: "Poppins", sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 30px;
  /* 150% */
  letter-spacing: -0.25px;
}

/* navigation bar section End */

/* .titleMainBox {
  margin-top: -15px !important;
  vertical-align: middle;
  display: list-item;
  z-index: -1;
} */

.bg-body-tertiary {
  /* z-index: 1;
    position: relative; */
}

.sub-headerbox {
  z-index: 999;
  height: 60px;
  position: relative;
  white-space: nowrap;
}

.Sub-heading {
  /* z-index: 1;
    display: flex;
    gap: 30px;
    padding: 32px 0px 12px 0px;
    margin-top: -20px;
    border-radius: 0px 0px 16px 16px;
    background: linear-gradient(180deg, #8E355E 0%, #632240 100%);
    justify-content: center; */
  display: flex;
  gap: 30px;
  padding: 20px 0px 12px 0px;
  margin-top: -20px;
  border-radius: 0px 0px 16px 16px;
  background: linear-gradient(180deg, #8e355e 0%, #632240 100%);
  justify-content: center;
  margin-top: -15px;
}

.sub-nav a {
  color: #fff;
  font-size: clamp(1.6rem, calc(1rem + 0.7vw), 1.8rem);
  text-decoration: none;
}

.sub-nav img {
  width: 24px;
}

.sub-nav {
  align-items: center;
  display: flex;
  gap: 5px;
}

.light-bg {
  border-radius: 0px 0px 16px 16px;
  background: #893d60;
  /* height: 250px; */
  min-height: 200px;
  position: relative;
  /* margin-top: -40px; */
  margin-top: -35px;
  gap: 6px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.outer-search-box {
  display: flex;
  justify-content: center;
  z-index: 2 !important;
}

.search-heading {
  color: #fff;
  font-size: clamp(1.6rem, calc(1.6rem + 1.6vw), 3.6rem);
  text-shadow: 0px 5px 5px rgba(0, 0, 0, 0.15);
  font-weight: 600;
}

.breadcrumb-item a,
.active {
  color: #fff;
  /* font-size: clamp(1.1rem, calc(0.87rem + 1vw), 1.6rem); */
}

.sub-search {
  border-radius: 6px 0px 0px 6px !important;
  border: 1px solid #d6d3d1;
  background: #fff;
  padding: 12px;
  display: flex;
  align-items: center;
  background: #fff;
  border: 1px solid #d6d3d1;
  /* width: 100%; */
}

.sub-search input {
  border: none;
  outline: none;
  color: #18171d;
  width: 100%;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: -0.25px;
}

.breadcrumb-item.active {
  color: #fff !important;
}

.breadcrumb-item + .breadcrumb-item::before {
  color: #fff !important;
}

.search-result-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0px 8px 8px 0px;
  background: linear-gradient(0deg, #f50 0%, #ff894e 100%), #f73;
  border: none;
  filter: drop-shadow(0px 5px 10px rgba(68, 12, 6, 0.14));
}

.search-result-btn h3 {
  color: #fff;
  text-align: center;
  margin: 0;
  font-size: clamp(1.6rem, calc(1rem + 1.6vw), 2rem);
  padding-right: 8px;
}

.search-result-btn i {
  font-size: 28px;
  color: #fff;
}

#searchSuggestions {
  list-style: none;
  margin: 0;
  padding: 0;
  background: #fff;
  border-radius: 10px;
  border: 1px solid #ff894e;
  border-top: none;
  box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.12);
  max-height: 180px;
  overflow-y: auto;
  position: absolute;
  width: 100%;
  z-index: 999;
  top: 100%;
  left: 0%;
}

#searchSuggestions li a {
  display: block;
  padding: 5px 5px;
  text-decoration: none;
  color: #632240;
  font-weight: 500;
  transition: background 0.2s ease;
}

#searchSuggestions li a:hover {
  background: #fff0e8;
  color: #f73;
}

@media (max-width: 1199px) {
  .btn {
    font-size: 16px;
  }

  .login-btn {
    font-size: 16px;
  }

  a.nav-link.dropdown-toggle {
    font-size: 16px;
  }
}

@media (max-width: 991px) {
  .btn,
  a.nav-link.dropdown-toggle {
    font-size: 18px;
  }

  .city a {
    font-size: 14px;
  }

  .navbar-expand-lg .navbar-nav {
    align-items: flex-start;
  }

  /* .navbar-toggler {
        border: 0px;
        padding: 10px;
        font-size: medium;
        box-shadow: 0px 0px 4px 0px #cecece;
        border-radius: 50%;
        margin-right: 18px;
    } */

  .horizontal-align {
    display: flex;
    justify-content: center;
    margin-top: 8px;
  }

  .mobile-login-btn {
    margin: 10px 0;
    width: 100%;
    border: 1px solid #ff8f57;
    background: #fff0e8;
  }

  .mobile-login-btn a {
    color: #f73;
  }

  .navbar-collapse {
    background-color: white;
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-top: 15px;
  }

  .offcanvas .nav-link {
    text-align: left;
    padding: 12px 0;
    font-size: 18px;
    border-bottom: 1px solid #eee;
  }

  .offcanvas .nav-link::after,
  .offcanvas .nav-link:hover::after {
    content: none;
    /* No hover effect for mobile */
  }

  .offcanvas .nav-active::before {
    content: "";
    height: 2px;
    width: 100%;
    background-color: #f73;
    position: absolute;
    left: 0;
    bottom: 0;
  }
}

@media (max-width: 767px) {
  .city {
    overflow: scroll;
    margin: 15px;
  }

  h2 {
    font-size: 20px;
  }

  .footer {
    gap: 12px;
    padding: 20px 0px 15px 0px;
  }

  .d-search {
    width: 90%;
    height: 42px;
  }

  .f-h-line {
    margin: 15px 0px;
  }

  .payment-img {
    padding-bottom: 20px;
  }

  .destination-box h2 {
    padding: 20px 0px 10px 0px;
  }

  .d-search i {
    font-size: 18px;
  }

  .footer-container {
    /* height: 590px; */
  }

  .sub-footer p {
    font-size: 12px;
  }

  .destination-outer-container {
    width: 90%;
    margin: auto;
  }

  .footer {
    font-size: 14px;
  }

  .sub-headerbox {
    height: 0px;
    display: flex;
    justify-content: center;
  }

  .Sub-heading {
    gap: 16px;
    border-radius: 8px;
    justify-content: flex-start;
    overflow-x: scroll;
  }

  .sub-nav img {
    width: 20px;
  }

  /* .floating-btn {
    margin: 0%;
    align-items: center;
    border: none;
    color: white;
    width: 97%;
    position: fixed;
    bottom: 50px;
    top: 89%;
    z-index: 1;
    display: flex;
    justify-content: space-around;
    padding: 1rem 1rem 1rem 1rem !important;
    height: 10%;
  } */
  /* origanla workable class */
  /* .floating-btn {
    margin: 0%;
    align-items: center;
    border: none;
    color: white;
    width: 97%;
    position: fixed; */
  /* bottom: 50px; */
  /* top: 50%;
    z-index: 1;
    display: flex;
    justify-content: space-around;
    padding: 0.5rem 1rem !important; */
  /* height: 5%; */
  /* } */
  /* for sub header stop on footer */
  .floating-btn {
    position: fixed;
    bottom: 0;
    left: 0.7rem;
    width: 95%;
    /* background: #fff; */
    border-top: 2px solid #ccc;
    box-shadow: 0 -2px 6px rgba(0, 0, 0, 0.15);
    z-index: 999;
    display: flex;
    justify-content: space-around;
    padding: 0.5rem 1rem;
    transition: all 0.3s ease-in-out;
  }
  /* When stopped above footer */
  .floating-btn.stop {
    position: absolute;
    padding: 1.5rem 1rem;
  }
  .sub-nav a {
    font-size: clamp(1rem, calc(1rem + 0.7vw), 2rem);
  }
  .dsname {
    font-size: 20px !important;
    margin-top: 8px;
  }

  /* .sub-nav {
    gap: 0px;
    flex-direction: column;
  } */
  .sub-nav {
    gap: 5px;
    /* flex-direction: column; */
  }

  .search-result-btn i {
    font-size: 20px;
    color: #fff;
  }
}

@media (max-width: 575px) {
  .outer-search-box {
    /* flex-direction: column; */
    flex-direction: row;
    align-items: center;
    gap: 12px;
  }

  .light-bg {
    margin-top: -15px;
    /* min-height: 180px; */
  }

  .sub-search {
    border-radius: 6px !important;
  }

  .search-result-btn {
    border-radius: 8px;
  }
}

@media (max-width: 460px) {
  .navbar-brand img {
    max-width: 165px;
  }

  .home-login-btn {
    font-size: 16px;
    margin: 0;
    padding: 5px 10px;
  }
}

@media (max-width: 375px) {
  .navbar-brand img {
    max-width: 165px;
  }

  .home-login-btn {
    font-size: 16px;
    margin: 0;
    padding: 5px 10px;
  }
}
.titleMainBox .container .titleNameBox {
  width: 100%;
  float: left;
  height: auto;
  color: #ff6e00;
  text-align: center;
  padding: 10px;
}
.titleMainBox .container .titleNameBox ul {
  width: auto;
  float: none;
  display: inline-block;
  height: auto;
  list-style: none;
  margin: 0;
  padding: 0;
}
.titleMainBox .container .titleNameBox ul li {
  width: auto;
  float: left;
  height: auto;
  position: relative;
  padding: 0 0 0 30px;
  font-family: "Poppins", sans-serif;
  color: #ff6e00;
  font-size: 13px;
}
.titleMainBox .container .titleNameBox ul li a {
  display: block;
  font-family: "Poppins", sans-serif;
  color: #ff6e00;
  font-size: 13px;
  text-decoration: none;
}
.titleMainBox .container .titleNameBox ul li::before {
  content: "";
  width: 6px;
  height: 6px;
  background: #ff6e00;
  display: block;
  position: absolute;
  left: 10px;
  top: 6px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
}
.titleMainBox .container .titleNameBox ul li:first-child {
  padding: 0px !important;
}
.titleMainBox .container .titleNameBox ul li:first-child::before {
  display: none;
}
.dsname {
  font-size: 30px;
}
.titleMainBox {
  background-color: #ff5e0012 !important;
  position: relative !important;
  padding-top: 15px !important;
  margin-top: -15px !important;
  width: 100%;
  float: left;
  height: 100px;
  border-radius: 0 0 16px 16px;
}
.dropdown-item.active,
.dropdown-item:active {
  background-color: #fff0e8 !important;
  color: #f73 !important;
}
